> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/tosspay/tosspay.authorizesubscription.md).

# TossPay.authorizeSubscription

> Functional API `requestTossPayPaysBilling`You can use the same functionality with it as well. The function-style API is the same as v2 `{ params: { wrappedToken } }` It takes an argument in the following form, and if the version is not supported, it logs a warning instead of throwing an error and then `undefined`is returned.

### Feature description

Displays the Toss Pay subscription payment window and performs user authentication. When authentication is complete, it returns whether it succeeded.

Actual payment processing must be done separately on the server after authentication succeeds.

Toss app **5.256.0** You can use it on version and above. Before calling, `TossPay.authorizeSubscription.isSupported()`You can check support status with Promotion.grantReward.isSupported(). If you call it on an unsupported version, `UNSUPPORTED_APP_VERSION` an error occurs.

### Type

```ts
TossPay.authorizeSubscription(params: RequestTossPayPaysBillingOptions): Promise<RequestTossPayPaysBillingResult>;
```

**Params**

```ts
type RequestTossPayPaysBillingOptions = {
  /** This is the subscription payment wrapping token. */
  wrappedToken: string;
};
```

**Response**

```ts
type RequestTossPayPaysBillingResult = {
  /** Whether authentication succeeded. */
  success: boolean;
  /** The reason if authentication failed. */
  reason?: string;
};
```

### Error code

The error code is the `error.code` value.

| Code                      | Description                                                                                                                                                                                                                                             |
| ------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `UNSUPPORTED_APP_VERSION` | If the running version of the Toss app doesn't support this feature, it occurs immediately upon call. `TossPay.authorizeSubscription.isSupported()`Check in advance with `error.message`and, if it occurs, show the user the (update guidance message). |

### Example code

```js
import { TossPay } from "@apps-in-toss/web-framework";

async function handleBilling() {
  try {
    if (!TossPay.authorizeSubscription.isSupported()) {
      console.log("This app version does not support subscription payment authentication.");
      return;
    }

    // Please replace this with the API endpoint that creates the subscription payment in the actual implementation.
    const { wrappedToken } = await fetch("/my-api/billing/create").then((res) =>
      res.json(),
    );

    const { success, reason } = await TossPay.authorizeSubscription({
      wrappedToken,
    });

    if (success) {
      // Please replace this with the API endpoint that executes the subscription payment in the actual implementation.
      await fetch("/my-api/billing/execute", {
        method: "POST",
        body: JSON.stringify({ wrappedToken }),
        headers: { "Content-Type": "application/json" },
      });
    } else {
      console.log("Authentication failed:", reason);
    }
  } catch (error) {
    console.error("An error occurred during subscription payment authentication:", error);
  }
}

document
  .querySelector("#billing-button")
  .addEventListener("click", handleBilling);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-en/sdk/domains-api/tosspay/tosspay.authorizesubscription.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
